Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3225 - Hostname doesn't get changed when linuxconf switches system profiles
Summary: Hostname doesn't get changed when linuxconf switches system profiles
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-03 01:31 UTC by Adam Spiers
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-13 16:08:21 UTC


Attachments (Terms of Use)

Description Adam Spiers 1999-06-03 01:31:37 UTC
If you use linuxconf to switch system profiles to a profile
with a different hostname, all it does is archive the old
config files and extract the new ones.  This means that
if you enable the askrunlevel feature of linuxconf, and
ask to switch profile at boot-time, by the time all the
startup scripts have completed, you end up with a machine
whose current hostname doesn't match the current system
profile.  Clearly this can then cause problems with
networking.

You may well decide to ignore this bug on the grounds that
Redhat doesn't "do" askrunlevel by default, in which case I
guess I'll just report it to the linuxconf guys.

Comment 1 Jay Turner 1999-06-29 11:17:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Michael K. Johnson 1999-07-13 16:08:59 UTC
You are correct; our answer is in fact that we don't do
askrunlevel by default.  However, I have sent this bug
report to Jacques Gelinas by adding him to the CC line,
so he can look into it himself and decide what to do about
it.


Note You need to log in before you can comment on or make changes to this bug.